# coding: utf-8

"""
    VMware Aria Automation Assembler / CMX Service API

    When using Kubernetes integration, deploy and manage Kubernetes clusters and namespaces. The APIs that list collections of resources also support OData like implementation. Below query params can be used across CMX entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/cmx/api/resources/tags?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/cmx/api/resources/tags?$expand=true&$top=10&$skip=2```  3. `page` and `$size` - page used in conjunction with `$size` helps in pagination of resources.      ```/cmx/api/resources/tags?$expand=true&page=0&$size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /cmx/api/resources/tags?$filter=startswith(name, 'K8S')   # noqa: E501

    OpenAPI spec version: 2019-09-12
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class PksEndpointsBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'agent': 'str',
        'api_endpoint': 'str',
        'ca_certificate': 'str',
        'dc_id': 'str',
        'description': 'str',
        'direct_connection': 'bool',
        'document_self_link': 'str',
        'id': 'str',
        'name': 'str',
        'org_id': 'str',
        'password': 'str',
        'uaa_endpoint': 'str',
        'username': 'str'
    }

    attribute_map = {
        'agent': 'agent',
        'api_endpoint': 'apiEndpoint',
        'ca_certificate': 'caCertificate',
        'dc_id': 'dcId',
        'description': 'description',
        'direct_connection': 'directConnection',
        'document_self_link': 'documentSelfLink',
        'id': 'id',
        'name': 'name',
        'org_id': 'orgId',
        'password': 'password',
        'uaa_endpoint': 'uaaEndpoint',
        'username': 'username'
    }

    def __init__(self, agent=None, api_endpoint=None, ca_certificate=None, dc_id=None, description=None, direct_connection=None, document_self_link=None, id=None, name=None, org_id=None, password=None, uaa_endpoint=None, username=None):  # noqa: E501
        """PksEndpointsBody - a model defined in Swagger"""  # noqa: E501
        self._agent = None
        self._api_endpoint = None
        self._ca_certificate = None
        self._dc_id = None
        self._description = None
        self._direct_connection = None
        self._document_self_link = None
        self._id = None
        self._name = None
        self._org_id = None
        self._password = None
        self._uaa_endpoint = None
        self._username = None
        self.discriminator = None
        if agent is not None:
            self.agent = agent
        if api_endpoint is not None:
            self.api_endpoint = api_endpoint
        if ca_certificate is not None:
            self.ca_certificate = ca_certificate
        if dc_id is not None:
            self.dc_id = dc_id
        if description is not None:
            self.description = description
        if direct_connection is not None:
            self.direct_connection = direct_connection
        if document_self_link is not None:
            self.document_self_link = document_self_link
        if id is not None:
            self.id = id
        if name is not None:
            self.name = name
        if org_id is not None:
            self.org_id = org_id
        if password is not None:
            self.password = password
        if uaa_endpoint is not None:
            self.uaa_endpoint = uaa_endpoint
        if username is not None:
            self.username = username

    @property
    def agent(self):
        """Gets the agent of this PksEndpointsBody.  # noqa: E501


        :return: The agent of this PksEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._agent

    @agent.setter
    def agent(self, agent):
        """Sets the agent of this PksEndpointsBody.


        :param agent: The agent of this PksEndpointsBody.  # noqa: E501
        :type: str
        """

        self._agent = agent

    @property
    def api_endpoint(self):
        """Gets the api_endpoint of this PksEndpointsBody.  # noqa: E501


        :return: The api_endpoint of this PksEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._api_endpoint

    @api_endpoint.setter
    def api_endpoint(self, api_endpoint):
        """Sets the api_endpoint of this PksEndpointsBody.


        :param api_endpoint: The api_endpoint of this PksEndpointsBody.  # noqa: E501
        :type: str
        """

        self._api_endpoint = api_endpoint

    @property
    def ca_certificate(self):
        """Gets the ca_certificate of this PksEndpointsBody.  # noqa: E501


        :return: The ca_certificate of this PksEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._ca_certificate

    @ca_certificate.setter
    def ca_certificate(self, ca_certificate):
        """Sets the ca_certificate of this PksEndpointsBody.


        :param ca_certificate: The ca_certificate of this PksEndpointsBody.  # noqa: E501
        :type: str
        """

        self._ca_certificate = ca_certificate

    @property
    def dc_id(self):
        """Gets the dc_id of this PksEndpointsBody.  # noqa: E501


        :return: The dc_id of this PksEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._dc_id

    @dc_id.setter
    def dc_id(self, dc_id):
        """Sets the dc_id of this PksEndpointsBody.


        :param dc_id: The dc_id of this PksEndpointsBody.  # noqa: E501
        :type: str
        """

        self._dc_id = dc_id

    @property
    def description(self):
        """Gets the description of this PksEndpointsBody.  # noqa: E501


        :return: The description of this PksEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._description

    @description.setter
    def description(self, description):
        """Sets the description of this PksEndpointsBody.


        :param description: The description of this PksEndpointsBody.  # noqa: E501
        :type: str
        """

        self._description = description

    @property
    def direct_connection(self):
        """Gets the direct_connection of this PksEndpointsBody.  # noqa: E501


        :return: The direct_connection of this PksEndpointsBody.  # noqa: E501
        :rtype: bool
        """
        return self._direct_connection

    @direct_connection.setter
    def direct_connection(self, direct_connection):
        """Sets the direct_connection of this PksEndpointsBody.


        :param direct_connection: The direct_connection of this PksEndpointsBody.  # noqa: E501
        :type: bool
        """

        self._direct_connection = direct_connection

    @property
    def document_self_link(self):
        """Gets the document_self_link of this PksEndpointsBody.  # noqa: E501


        :return: The document_self_link of this PksEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._document_self_link

    @document_self_link.setter
    def document_self_link(self, document_self_link):
        """Sets the document_self_link of this PksEndpointsBody.


        :param document_self_link: The document_self_link of this PksEndpointsBody.  # noqa: E501
        :type: str
        """

        self._document_self_link = document_self_link

    @property
    def id(self):
        """Gets the id of this PksEndpointsBody.  # noqa: E501


        :return: The id of this PksEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this PksEndpointsBody.


        :param id: The id of this PksEndpointsBody.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def name(self):
        """Gets the name of this PksEndpointsBody.  # noqa: E501


        :return: The name of this PksEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this PksEndpointsBody.


        :param name: The name of this PksEndpointsBody.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def org_id(self):
        """Gets the org_id of this PksEndpointsBody.  # noqa: E501


        :return: The org_id of this PksEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._org_id

    @org_id.setter
    def org_id(self, org_id):
        """Sets the org_id of this PksEndpointsBody.


        :param org_id: The org_id of this PksEndpointsBody.  # noqa: E501
        :type: str
        """

        self._org_id = org_id

    @property
    def password(self):
        """Gets the password of this PksEndpointsBody.  # noqa: E501


        :return: The password of this PksEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._password

    @password.setter
    def password(self, password):
        """Sets the password of this PksEndpointsBody.


        :param password: The password of this PksEndpointsBody.  # noqa: E501
        :type: str
        """

        self._password = password

    @property
    def uaa_endpoint(self):
        """Gets the uaa_endpoint of this PksEndpointsBody.  # noqa: E501


        :return: The uaa_endpoint of this PksEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._uaa_endpoint

    @uaa_endpoint.setter
    def uaa_endpoint(self, uaa_endpoint):
        """Sets the uaa_endpoint of this PksEndpointsBody.


        :param uaa_endpoint: The uaa_endpoint of this PksEndpointsBody.  # noqa: E501
        :type: str
        """

        self._uaa_endpoint = uaa_endpoint

    @property
    def username(self):
        """Gets the username of this PksEndpointsBody.  # noqa: E501


        :return: The username of this PksEndpointsBody.  # noqa: E501
        :rtype: str
        """
        return self._username

    @username.setter
    def username(self, username):
        """Sets the username of this PksEndpointsBody.


        :param username: The username of this PksEndpointsBody.  # noqa: E501
        :type: str
        """

        self._username = username

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(PksEndpointsBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, PksEndpointsBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
